Skip to navigation

Returns the optionality of document fields for different country mandates

View as Markdown

Access control: this endpoint is available to users with the everyone role.

This endpoint returns a list of required, conditional, and optional fields for each country mandate. Use the mandates endpoint to retrieve all available country mandates. Use the $filter query parameter to retrieve fields for a specific mandate.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

avalara-versionstringRequiredformat: "string"

Header that specifies the API version to use (for example “1.6”).

X-Avalara-ClientstringOptionalformat: "string"

Optional header for a client identifier string used for diagnostics (for example “Fingerprint”).

Query parameters

$filterstringOptionalformat: "string"
Filter by field name and value. This filter supports only eq and contains. For more information, refer to the Avalara filtering guide.
$topintegerOptional
The number of items to include in the result.
$skipintegerOptional
The number of items to skip in the result.
$countstringOptionalformat: "boolean"
When set to true, the response body also includes the count of items in the collection.
$countOnlystringOptionalformat: "boolean"
When set to true, the response returns only the count of items in the collection.

Response

Returns a DataInputFieldsResponse object containing the data input fields and their optionality for the requested mandate.
@recordsetCountdoubleOptional
Total count of results
valuelist of objectsOptional
Array of Data Input Fields

Errors

401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error